跳至內容

AuraFlow

整合

模型 id aura-flow
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/aura-flow?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: ≈$0.012 12 API 點數 在此頁面執行

取得 API 金鑰
Open model 文字轉圖像 #typography#style

開放式流模型文字轉圖片,每次請求生成一或兩張圖片並支援提示擴展

Open model · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

作為圖像生成基礎的提示詞。

num_images 預設 1

要生成的圖像數量。

進階 guidance_scale · num_inference_steps · seed · expand_prompt · enable_safety_checker
預設 3.5

無分類器引導尺度。

預設 50

要執行的推理步數。

圖像生成期間使用的種子值。

POST /run/aura-flow?wait=20 報價 → $0.012
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/aura-flow?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 AuraFlow

從 `prompt` 生成圖片。`num_images` 可為 1 或 2,`num_inference_steps` 範圍為 20 到 50,`guidance_scale` 範圍為 0 到 20。`expand_prompt` 預設開啟,並會回傳擴展後的提示。可設定 `seed` 以重現結果。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt必填
類型string
作為圖像生成基礎的提示詞。
num_images選填 num_outputs
類型integer
預設值1
1 – 2
要生成的圖像數量。
seed選填
類型integer | null
圖像生成期間使用的種子值。
guidance_scale選填
類型number
預設值3.5
0 – 20
無分類器引導尺度。
num_inference_steps選填
類型integer
預設值50
20 – 50
要執行的推理步數。
expand_prompt選填
類型boolean
預設值true
啟用提示詞擴展;建議啟用。
enable_safety_checker選填
類型boolean
預設值true
安全檢查,會以黑色圖像取代任何被標記為不安全的圖像。true 會啟用檢查;false 僅對獲得授權的帳戶停用檢查,未獲授權的請求無論如何都會接受檢查。
必填 標準名稱,也可使用

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "aura-flow",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 12,
    "usd": "0.012",
    "charged": 12,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
images
array of object {url, content_type, file_name, file_size, width, height}模型生成的圖像。
seed
integer圖像生成期間使用的種子。
has_nsfw_concepts
array of boolean指出生成的圖像中是否出現 NSFW 概念。
prompt
string擴展後的提示詞。

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/aura-flow.md. 所有模型與指南: https://doitong.com/developers/llms.txt